IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/55
Addresses2^73
/64 networks512
- Network
2001:db8:0:a00::/55- First address
2001:db8:0:a00::- Last address
2001:db8:0:bff:ffff:ffff:ffff:ffff- Addresses
- 9,444,732,965,739,290,427,392 (2^73)
- /64 networks (LANs)
- 512
- Full form
2001:0db8:0000:0a00:0000:0000:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zones
a.0.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpab.0.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
/55 is not on a 4-bit boundary, so it takes 2 /56 zones.
Split into smaller subnets
2001:db8:0:a00::/55 makes 512 subnets of /64; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8:0:a00::/64 | 2001:db8:0:a00:ffff:ffff:ffff:ffff |
| 2 | 2001:db8:0:a01::/64 | 2001:db8:0:a01:ffff:ffff:ffff:ffff |
| 3 | 2001:db8:0:a02::/64 | 2001:db8:0:a02:ffff:ffff:ffff:ffff |
| 4 | 2001:db8:0:a03::/64 | 2001:db8:0:a03:ffff:ffff:ffff:ffff |
| 5 | 2001:db8:0:a04::/64 | 2001:db8:0:a04:ffff:ffff:ffff:ffff |
| 6 | 2001:db8:0:a05::/64 | 2001:db8:0:a05:ffff:ffff:ffff:ffff |
| 7 | 2001:db8:0:a06::/64 | 2001:db8:0:a06:ffff:ffff:ffff:ffff |
| 8 | 2001:db8:0:a07::/64 | 2001:db8:0:a07:ffff:ffff:ffff:ffff |
| 9 | 2001:db8:0:a08::/64 | 2001:db8:0:a08:ffff:ffff:ffff:ffff |
| 10 | 2001:db8:0:a09::/64 | 2001:db8:0:a09:ffff:ffff:ffff:ffff |
| 11 | 2001:db8:0:a0a::/64 | 2001:db8:0:a0a:ffff:ffff:ffff:ffff |
| 12 | 2001:db8:0:a0b::/64 | 2001:db8:0:a0b:ffff:ffff:ffff:ffff |
| 13 | 2001:db8:0:a0c::/64 | 2001:db8:0:a0c:ffff:ffff:ffff:ffff |
| 14 | 2001:db8:0:a0d::/64 | 2001:db8:0:a0d:ffff:ffff:ffff:ffff |
| 15 | 2001:db8:0:a0e::/64 | 2001:db8:0:a0e:ffff:ffff:ffff:ffff |
| 16 | 2001:db8:0:a0f::/64 | 2001:db8:0:a0f:ffff:ffff:ffff:ffff |
| 17 | 2001:db8:0:a10::/64 | 2001:db8:0:a10:ffff:ffff:ffff:ffff |
| 18 | 2001:db8:0:a11::/64 | 2001:db8:0:a11:ffff:ffff:ffff:ffff |
| 19 | 2001:db8:0:a12::/64 | 2001:db8:0:a12:ffff:ffff:ffff:ffff |
| 20 | 2001:db8:0:a13::/64 | 2001:db8:0:a13:ffff:ffff:ffff:ffff |
| 21 | 2001:db8:0:a14::/64 | 2001:db8:0:a14:ffff:ffff:ffff:ffff |
| 22 | 2001:db8:0:a15::/64 | 2001:db8:0:a15:ffff:ffff:ffff:ffff |
| 23 | 2001:db8:0:a16::/64 | 2001:db8:0:a16:ffff:ffff:ffff:ffff |
| 24 | 2001:db8:0:a17::/64 | 2001:db8:0:a17:ffff:ffff:ffff:ffff |
| 25 | 2001:db8:0:a18::/64 | 2001:db8:0:a18:ffff:ffff:ffff:ffff |
| 26 | 2001:db8:0:a19::/64 | 2001:db8:0:a19:ffff:ffff:ffff:ffff |
| 27 | 2001:db8:0:a1a::/64 | 2001:db8:0:a1a:ffff:ffff:ffff:ffff |
| 28 | 2001:db8:0:a1b::/64 | 2001:db8:0:a1b:ffff:ffff:ffff:ffff |
| 29 | 2001:db8:0:a1c::/64 | 2001:db8:0:a1c:ffff:ffff:ffff:ffff |
| 30 | 2001:db8:0:a1d::/64 | 2001:db8:0:a1d:ffff:ffff:ffff:ffff |
| 31 | 2001:db8:0:a1e::/64 | 2001:db8:0:a1e:ffff:ffff:ffff:ffff |
| 32 | 2001:db8:0:a1f::/64 | 2001:db8:0:a1f:ffff:ffff:ffff:ffff |
| 33 | 2001:db8:0:a20::/64 | 2001:db8:0:a20:ffff:ffff:ffff:ffff |
| 34 | 2001:db8:0:a21::/64 | 2001:db8:0:a21:ffff:ffff:ffff:ffff |
| 35 | 2001:db8:0:a22::/64 | 2001:db8:0:a22:ffff:ffff:ffff:ffff |
| 36 | 2001:db8:0:a23::/64 | 2001:db8:0:a23:ffff:ffff:ffff:ffff |
| 37 | 2001:db8:0:a24::/64 | 2001:db8:0:a24:ffff:ffff:ffff:ffff |
| 38 | 2001:db8:0:a25::/64 | 2001:db8:0:a25:ffff:ffff:ffff:ffff |
| 39 | 2001:db8:0:a26::/64 | 2001:db8:0:a26:ffff:ffff:ffff:ffff |
| 40 | 2001:db8:0:a27::/64 | 2001:db8:0:a27:ffff:ffff:ffff:ffff |
| 41 | 2001:db8:0:a28::/64 | 2001:db8:0:a28:ffff:ffff:ffff:ffff |
| 42 | 2001:db8:0:a29::/64 | 2001:db8:0:a29:ffff:ffff:ffff:ffff |
| 43 | 2001:db8:0:a2a::/64 | 2001:db8:0:a2a:ffff:ffff:ffff:ffff |
| 44 | 2001:db8:0:a2b::/64 | 2001:db8:0:a2b:ffff:ffff:ffff:ffff |
| 45 | 2001:db8:0:a2c::/64 | 2001:db8:0:a2c:ffff:ffff:ffff:ffff |
| 46 | 2001:db8:0:a2d::/64 | 2001:db8:0:a2d:ffff:ffff:ffff:ffff |
| 47 | 2001:db8:0:a2e::/64 | 2001:db8:0:a2e:ffff:ffff:ffff:ffff |
| 48 | 2001:db8:0:a2f::/64 | 2001:db8:0:a2f:ffff:ffff:ffff:ffff |
| 49 | 2001:db8:0:a30::/64 | 2001:db8:0:a30:ffff:ffff:ffff:ffff |
| 50 | 2001:db8:0:a31::/64 | 2001:db8:0:a31:ffff:ffff:ffff:ffff |
| 51 | 2001:db8:0:a32::/64 | 2001:db8:0:a32:ffff:ffff:ffff:ffff |
| 52 | 2001:db8:0:a33::/64 | 2001:db8:0:a33:ffff:ffff:ffff:ffff |
| 53 | 2001:db8:0:a34::/64 | 2001:db8:0:a34:ffff:ffff:ffff:ffff |
| 54 | 2001:db8:0:a35::/64 | 2001:db8:0:a35:ffff:ffff:ffff:ffff |
| 55 | 2001:db8:0:a36::/64 | 2001:db8:0:a36:ffff:ffff:ffff:ffff |
| 56 | 2001:db8:0:a37::/64 | 2001:db8:0:a37:ffff:ffff:ffff:ffff |
| 57 | 2001:db8:0:a38::/64 | 2001:db8:0:a38:ffff:ffff:ffff:ffff |
| 58 | 2001:db8:0:a39::/64 | 2001:db8:0:a39:ffff:ffff:ffff:ffff |
| 59 | 2001:db8:0:a3a::/64 | 2001:db8:0:a3a:ffff:ffff:ffff:ffff |
| 60 | 2001:db8:0:a3b::/64 | 2001:db8:0:a3b:ffff:ffff:ffff:ffff |
| 61 | 2001:db8:0:a3c::/64 | 2001:db8:0:a3c:ffff:ffff:ffff:ffff |
| 62 | 2001:db8:0:a3d::/64 | 2001:db8:0:a3d:ffff:ffff:ffff:ffff |
| 63 | 2001:db8:0:a3e::/64 | 2001:db8:0:a3e:ffff:ffff:ffff:ffff |
| 64 | 2001:db8:0:a3f::/64 | 2001:db8:0:a3f:ffff:ffff:ffff:ffff |
| 65 | 2001:db8:0:a40::/64 | 2001:db8:0:a40:ffff:ffff:ffff:ffff |
| 66 | 2001:db8:0:a41::/64 | 2001:db8:0:a41:ffff:ffff:ffff:ffff |
| 67 | 2001:db8:0:a42::/64 | 2001:db8:0:a42:ffff:ffff:ffff:ffff |
| 68 | 2001:db8:0:a43::/64 | 2001:db8:0:a43:ffff:ffff:ffff:ffff |
| 69 | 2001:db8:0:a44::/64 | 2001:db8:0:a44:ffff:ffff:ffff:ffff |
| 70 | 2001:db8:0:a45::/64 | 2001:db8:0:a45:ffff:ffff:ffff:ffff |
| 71 | 2001:db8:0:a46::/64 | 2001:db8:0:a46:ffff:ffff:ffff:ffff |
| 72 | 2001:db8:0:a47::/64 | 2001:db8:0:a47:ffff:ffff:ffff:ffff |
| 73 | 2001:db8:0:a48::/64 | 2001:db8:0:a48:ffff:ffff:ffff:ffff |
| 74 | 2001:db8:0:a49::/64 | 2001:db8:0:a49:ffff:ffff:ffff:ffff |
| 75 | 2001:db8:0:a4a::/64 | 2001:db8:0:a4a:ffff:ffff:ffff:ffff |
| 76 | 2001:db8:0:a4b::/64 | 2001:db8:0:a4b:ffff:ffff:ffff:ffff |
| 77 | 2001:db8:0:a4c::/64 | 2001:db8:0:a4c:ffff:ffff:ffff:ffff |
| 78 | 2001:db8:0:a4d::/64 | 2001:db8:0:a4d:ffff:ffff:ffff:ffff |
| 79 | 2001:db8:0:a4e::/64 | 2001:db8:0:a4e:ffff:ffff:ffff:ffff |
| 80 | 2001:db8:0:a4f::/64 | 2001:db8:0:a4f:ffff:ffff:ffff:ffff |
| 81 | 2001:db8:0:a50::/64 | 2001:db8:0:a50:ffff:ffff:ffff:ffff |
| 82 | 2001:db8:0:a51::/64 | 2001:db8:0:a51:ffff:ffff:ffff:ffff |
| 83 | 2001:db8:0:a52::/64 | 2001:db8:0:a52:ffff:ffff:ffff:ffff |
| 84 | 2001:db8:0:a53::/64 | 2001:db8:0:a53:ffff:ffff:ffff:ffff |
| 85 | 2001:db8:0:a54::/64 | 2001:db8:0:a54:ffff:ffff:ffff:ffff |
| 86 | 2001:db8:0:a55::/64 | 2001:db8:0:a55:ffff:ffff:ffff:ffff |
| 87 | 2001:db8:0:a56::/64 | 2001:db8:0:a56:ffff:ffff:ffff:ffff |
| 88 | 2001:db8:0:a57::/64 | 2001:db8:0:a57:ffff:ffff:ffff:ffff |
| 89 | 2001:db8:0:a58::/64 | 2001:db8:0:a58:ffff:ffff:ffff:ffff |
| 90 | 2001:db8:0:a59::/64 | 2001:db8:0:a59:ffff:ffff:ffff:ffff |
| 91 | 2001:db8:0:a5a::/64 | 2001:db8:0:a5a:ffff:ffff:ffff:ffff |
| 92 | 2001:db8:0:a5b::/64 | 2001:db8:0:a5b:ffff:ffff:ffff:ffff |
| 93 | 2001:db8:0:a5c::/64 | 2001:db8:0:a5c:ffff:ffff:ffff:ffff |
| 94 | 2001:db8:0:a5d::/64 | 2001:db8:0:a5d:ffff:ffff:ffff:ffff |
| 95 | 2001:db8:0:a5e::/64 | 2001:db8:0:a5e:ffff:ffff:ffff:ffff |
| 96 | 2001:db8:0:a5f::/64 | 2001:db8:0:a5f:ffff:ffff:ffff:ffff |
| 97 | 2001:db8:0:a60::/64 | 2001:db8:0:a60:ffff:ffff:ffff:ffff |
| 98 | 2001:db8:0:a61::/64 | 2001:db8:0:a61:ffff:ffff:ffff:ffff |
| 99 | 2001:db8:0:a62::/64 | 2001:db8:0:a62:ffff:ffff:ffff:ffff |
| 100 | 2001:db8:0:a63::/64 | 2001:db8:0:a63:ffff:ffff:ffff:ffff |
| 101 | 2001:db8:0:a64::/64 | 2001:db8:0:a64:ffff:ffff:ffff:ffff |
| 102 | 2001:db8:0:a65::/64 | 2001:db8:0:a65:ffff:ffff:ffff:ffff |
| 103 | 2001:db8:0:a66::/64 | 2001:db8:0:a66:ffff:ffff:ffff:ffff |
| 104 | 2001:db8:0:a67::/64 | 2001:db8:0:a67:ffff:ffff:ffff:ffff |
| 105 | 2001:db8:0:a68::/64 | 2001:db8:0:a68:ffff:ffff:ffff:ffff |
| 106 | 2001:db8:0:a69::/64 | 2001:db8:0:a69:ffff:ffff:ffff:ffff |
| 107 | 2001:db8:0:a6a::/64 | 2001:db8:0:a6a:ffff:ffff:ffff:ffff |
| 108 | 2001:db8:0:a6b::/64 | 2001:db8:0:a6b:ffff:ffff:ffff:ffff |
| 109 | 2001:db8:0:a6c::/64 | 2001:db8:0:a6c:ffff:ffff:ffff:ffff |
| 110 | 2001:db8:0:a6d::/64 | 2001:db8:0:a6d:ffff:ffff:ffff:ffff |
| 111 | 2001:db8:0:a6e::/64 | 2001:db8:0:a6e:ffff:ffff:ffff:ffff |
| 112 | 2001:db8:0:a6f::/64 | 2001:db8:0:a6f:ffff:ffff:ffff:ffff |
| 113 | 2001:db8:0:a70::/64 | 2001:db8:0:a70:ffff:ffff:ffff:ffff |
| 114 | 2001:db8:0:a71::/64 | 2001:db8:0:a71:ffff:ffff:ffff:ffff |
| 115 | 2001:db8:0:a72::/64 | 2001:db8:0:a72:ffff:ffff:ffff:ffff |
| 116 | 2001:db8:0:a73::/64 | 2001:db8:0:a73:ffff:ffff:ffff:ffff |
| 117 | 2001:db8:0:a74::/64 | 2001:db8:0:a74:ffff:ffff:ffff:ffff |
| 118 | 2001:db8:0:a75::/64 | 2001:db8:0:a75:ffff:ffff:ffff:ffff |
| 119 | 2001:db8:0:a76::/64 | 2001:db8:0:a76:ffff:ffff:ffff:ffff |
| 120 | 2001:db8:0:a77::/64 | 2001:db8:0:a77:ffff:ffff:ffff:ffff |
| 121 | 2001:db8:0:a78::/64 | 2001:db8:0:a78:ffff:ffff:ffff:ffff |
| 122 | 2001:db8:0:a79::/64 | 2001:db8:0:a79:ffff:ffff:ffff:ffff |
| 123 | 2001:db8:0:a7a::/64 | 2001:db8:0:a7a:ffff:ffff:ffff:ffff |
| 124 | 2001:db8:0:a7b::/64 | 2001:db8:0:a7b:ffff:ffff:ffff:ffff |
| 125 | 2001:db8:0:a7c::/64 | 2001:db8:0:a7c:ffff:ffff:ffff:ffff |
| 126 | 2001:db8:0:a7d::/64 | 2001:db8:0:a7d:ffff:ffff:ffff:ffff |
| 127 | 2001:db8:0:a7e::/64 | 2001:db8:0:a7e:ffff:ffff:ffff:ffff |
| 128 | 2001:db8:0:a7f::/64 | 2001:db8:0:a7f:ffff:ffff:ffff:ffff |
| 129 | 2001:db8:0:a80::/64 | 2001:db8:0:a80:ffff:ffff:ffff:ffff |
| 130 | 2001:db8:0:a81::/64 | 2001:db8:0:a81:ffff:ffff:ffff:ffff |
| 131 | 2001:db8:0:a82::/64 | 2001:db8:0:a82:ffff:ffff:ffff:ffff |
| 132 | 2001:db8:0:a83::/64 | 2001:db8:0:a83:ffff:ffff:ffff:ffff |
| 133 | 2001:db8:0:a84::/64 | 2001:db8:0:a84:ffff:ffff:ffff:ffff |
| 134 | 2001:db8:0:a85::/64 | 2001:db8:0:a85:ffff:ffff:ffff:ffff |
| 135 | 2001:db8:0:a86::/64 | 2001:db8:0:a86:ffff:ffff:ffff:ffff |
| 136 | 2001:db8:0:a87::/64 | 2001:db8:0:a87:ffff:ffff:ffff:ffff |
| 137 | 2001:db8:0:a88::/64 | 2001:db8:0:a88:ffff:ffff:ffff:ffff |
| 138 | 2001:db8:0:a89::/64 | 2001:db8:0:a89:ffff:ffff:ffff:ffff |
| 139 | 2001:db8:0:a8a::/64 | 2001:db8:0:a8a:ffff:ffff:ffff:ffff |
| 140 | 2001:db8:0:a8b::/64 | 2001:db8:0:a8b:ffff:ffff:ffff:ffff |
| 141 | 2001:db8:0:a8c::/64 | 2001:db8:0:a8c:ffff:ffff:ffff:ffff |
| 142 | 2001:db8:0:a8d::/64 | 2001:db8:0:a8d:ffff:ffff:ffff:ffff |
| 143 | 2001:db8:0:a8e::/64 | 2001:db8:0:a8e:ffff:ffff:ffff:ffff |
| 144 | 2001:db8:0:a8f::/64 | 2001:db8:0:a8f:ffff:ffff:ffff:ffff |
| 145 | 2001:db8:0:a90::/64 | 2001:db8:0:a90:ffff:ffff:ffff:ffff |
| 146 | 2001:db8:0:a91::/64 | 2001:db8:0:a91:ffff:ffff:ffff:ffff |
| 147 | 2001:db8:0:a92::/64 | 2001:db8:0:a92:ffff:ffff:ffff:ffff |
| 148 | 2001:db8:0:a93::/64 | 2001:db8:0:a93:ffff:ffff:ffff:ffff |
| 149 | 2001:db8:0:a94::/64 | 2001:db8:0:a94:ffff:ffff:ffff:ffff |
| 150 | 2001:db8:0:a95::/64 | 2001:db8:0:a95:ffff:ffff:ffff:ffff |
| 151 | 2001:db8:0:a96::/64 | 2001:db8:0:a96:ffff:ffff:ffff:ffff |
| 152 | 2001:db8:0:a97::/64 | 2001:db8:0:a97:ffff:ffff:ffff:ffff |
| 153 | 2001:db8:0:a98::/64 | 2001:db8:0:a98:ffff:ffff:ffff:ffff |
| 154 | 2001:db8:0:a99::/64 | 2001:db8:0:a99:ffff:ffff:ffff:ffff |
| 155 | 2001:db8:0:a9a::/64 | 2001:db8:0:a9a:ffff:ffff:ffff:ffff |
| 156 | 2001:db8:0:a9b::/64 | 2001:db8:0:a9b:ffff:ffff:ffff:ffff |
| 157 | 2001:db8:0:a9c::/64 | 2001:db8:0:a9c:ffff:ffff:ffff:ffff |
| 158 | 2001:db8:0:a9d::/64 | 2001:db8:0:a9d:ffff:ffff:ffff:ffff |
| 159 | 2001:db8:0:a9e::/64 | 2001:db8:0:a9e:ffff:ffff:ffff:ffff |
| 160 | 2001:db8:0:a9f::/64 | 2001:db8:0:a9f:ffff:ffff:ffff:ffff |
| 161 | 2001:db8:0:aa0::/64 | 2001:db8:0:aa0:ffff:ffff:ffff:ffff |
| 162 | 2001:db8:0:aa1::/64 | 2001:db8:0:aa1:ffff:ffff:ffff:ffff |
| 163 | 2001:db8:0:aa2::/64 | 2001:db8:0:aa2:ffff:ffff:ffff:ffff |
| 164 | 2001:db8:0:aa3::/64 | 2001:db8:0:aa3:ffff:ffff:ffff:ffff |
| 165 | 2001:db8:0:aa4::/64 | 2001:db8:0:aa4:ffff:ffff:ffff:ffff |
| 166 | 2001:db8:0:aa5::/64 | 2001:db8:0:aa5:ffff:ffff:ffff:ffff |
| 167 | 2001:db8:0:aa6::/64 | 2001:db8:0:aa6:ffff:ffff:ffff:ffff |
| 168 | 2001:db8:0:aa7::/64 | 2001:db8:0:aa7:ffff:ffff:ffff:ffff |
| 169 | 2001:db8:0:aa8::/64 | 2001:db8:0:aa8:ffff:ffff:ffff:ffff |
| 170 | 2001:db8:0:aa9::/64 | 2001:db8:0:aa9:ffff:ffff:ffff:ffff |
| 171 | 2001:db8:0:aaa::/64 | 2001:db8:0:aaa:ffff:ffff:ffff:ffff |
| 172 | 2001:db8:0:aab::/64 | 2001:db8:0:aab:ffff:ffff:ffff:ffff |
| 173 | 2001:db8:0:aac::/64 | 2001:db8:0:aac:ffff:ffff:ffff:ffff |
| 174 | 2001:db8:0:aad::/64 | 2001:db8:0:aad:ffff:ffff:ffff:ffff |
| 175 | 2001:db8:0:aae::/64 | 2001:db8:0:aae:ffff:ffff:ffff:ffff |
| 176 | 2001:db8:0:aaf::/64 | 2001:db8:0:aaf:ffff:ffff:ffff:ffff |
| 177 | 2001:db8:0:ab0::/64 | 2001:db8:0:ab0:ffff:ffff:ffff:ffff |
| 178 | 2001:db8:0:ab1::/64 | 2001:db8:0:ab1:ffff:ffff:ffff:ffff |
| 179 | 2001:db8:0:ab2::/64 | 2001:db8:0:ab2:ffff:ffff:ffff:ffff |
| 180 | 2001:db8:0:ab3::/64 | 2001:db8:0:ab3:ffff:ffff:ffff:ffff |
| 181 | 2001:db8:0:ab4::/64 | 2001:db8:0:ab4:ffff:ffff:ffff:ffff |
| 182 | 2001:db8:0:ab5::/64 | 2001:db8:0:ab5:ffff:ffff:ffff:ffff |
| 183 | 2001:db8:0:ab6::/64 | 2001:db8:0:ab6:ffff:ffff:ffff:ffff |
| 184 | 2001:db8:0:ab7::/64 | 2001:db8:0:ab7:ffff:ffff:ffff:ffff |
| 185 | 2001:db8:0:ab8::/64 | 2001:db8:0:ab8:ffff:ffff:ffff:ffff |
| 186 | 2001:db8:0:ab9::/64 | 2001:db8:0:ab9:ffff:ffff:ffff:ffff |
| 187 | 2001:db8:0:aba::/64 | 2001:db8:0:aba:ffff:ffff:ffff:ffff |
| 188 | 2001:db8:0:abb::/64 | 2001:db8:0:abb:ffff:ffff:ffff:ffff |
| 189 | 2001:db8:0:abc::/64 | 2001:db8:0:abc:ffff:ffff:ffff:ffff |
| 190 | 2001:db8:0:abd::/64 | 2001:db8:0:abd:ffff:ffff:ffff:ffff |
| 191 | 2001:db8:0:abe::/64 | 2001:db8:0:abe:ffff:ffff:ffff:ffff |
| 192 | 2001:db8:0:abf::/64 | 2001:db8:0:abf:ffff:ffff:ffff:ffff |
| 193 | 2001:db8:0:ac0::/64 | 2001:db8:0:ac0:ffff:ffff:ffff:ffff |
| 194 | 2001:db8:0:ac1::/64 | 2001:db8:0:ac1:ffff:ffff:ffff:ffff |
| 195 | 2001:db8:0:ac2::/64 | 2001:db8:0:ac2:ffff:ffff:ffff:ffff |
| 196 | 2001:db8:0:ac3::/64 | 2001:db8:0:ac3:ffff:ffff:ffff:ffff |
| 197 | 2001:db8:0:ac4::/64 | 2001:db8:0:ac4:ffff:ffff:ffff:ffff |
| 198 | 2001:db8:0:ac5::/64 | 2001:db8:0:ac5:ffff:ffff:ffff:ffff |
| 199 | 2001:db8:0:ac6::/64 | 2001:db8:0:ac6:ffff:ffff:ffff:ffff |
| 200 | 2001:db8:0:ac7::/64 | 2001:db8:0:ac7:ffff:ffff:ffff:ffff |
| 201 | 2001:db8:0:ac8::/64 | 2001:db8:0:ac8:ffff:ffff:ffff:ffff |
| 202 | 2001:db8:0:ac9::/64 | 2001:db8:0:ac9:ffff:ffff:ffff:ffff |
| 203 | 2001:db8:0:aca::/64 | 2001:db8:0:aca:ffff:ffff:ffff:ffff |
| 204 | 2001:db8:0:acb::/64 | 2001:db8:0:acb:ffff:ffff:ffff:ffff |
| 205 | 2001:db8:0:acc::/64 | 2001:db8:0:acc:ffff:ffff:ffff:ffff |
| 206 | 2001:db8:0:acd::/64 | 2001:db8:0:acd:ffff:ffff:ffff:ffff |
| 207 | 2001:db8:0:ace::/64 | 2001:db8:0:ace:ffff:ffff:ffff:ffff |
| 208 | 2001:db8:0:acf::/64 | 2001:db8:0:acf:ffff:ffff:ffff:ffff |
| 209 | 2001:db8:0:ad0::/64 | 2001:db8:0:ad0:ffff:ffff:ffff:ffff |
| 210 | 2001:db8:0:ad1::/64 | 2001:db8:0:ad1:ffff:ffff:ffff:ffff |
| 211 | 2001:db8:0:ad2::/64 | 2001:db8:0:ad2:ffff:ffff:ffff:ffff |
| 212 | 2001:db8:0:ad3::/64 | 2001:db8:0:ad3:ffff:ffff:ffff:ffff |
| 213 | 2001:db8:0:ad4::/64 | 2001:db8:0:ad4:ffff:ffff:ffff:ffff |
| 214 | 2001:db8:0:ad5::/64 | 2001:db8:0:ad5:ffff:ffff:ffff:ffff |
| 215 | 2001:db8:0:ad6::/64 | 2001:db8:0:ad6:ffff:ffff:ffff:ffff |
| 216 | 2001:db8:0:ad7::/64 | 2001:db8:0:ad7:ffff:ffff:ffff:ffff |
| 217 | 2001:db8:0:ad8::/64 | 2001:db8:0:ad8:ffff:ffff:ffff:ffff |
| 218 | 2001:db8:0:ad9::/64 | 2001:db8:0:ad9:ffff:ffff:ffff:ffff |
| 219 | 2001:db8:0:ada::/64 | 2001:db8:0:ada:ffff:ffff:ffff:ffff |
| 220 | 2001:db8:0:adb::/64 | 2001:db8:0:adb:ffff:ffff:ffff:ffff |
| 221 | 2001:db8:0:adc::/64 | 2001:db8:0:adc:ffff:ffff:ffff:ffff |
| 222 | 2001:db8:0:add::/64 | 2001:db8:0:add:ffff:ffff:ffff:ffff |
| 223 | 2001:db8:0:ade::/64 | 2001:db8:0:ade:ffff:ffff:ffff:ffff |
| 224 | 2001:db8:0:adf::/64 | 2001:db8:0:adf:ffff:ffff:ffff:ffff |
| 225 | 2001:db8:0:ae0::/64 | 2001:db8:0:ae0:ffff:ffff:ffff:ffff |
| 226 | 2001:db8:0:ae1::/64 | 2001:db8:0:ae1:ffff:ffff:ffff:ffff |
| 227 | 2001:db8:0:ae2::/64 | 2001:db8:0:ae2:ffff:ffff:ffff:ffff |
| 228 | 2001:db8:0:ae3::/64 | 2001:db8:0:ae3:ffff:ffff:ffff:ffff |
| 229 | 2001:db8:0:ae4::/64 | 2001:db8:0:ae4:ffff:ffff:ffff:ffff |
| 230 | 2001:db8:0:ae5::/64 | 2001:db8:0:ae5:ffff:ffff:ffff:ffff |
| 231 | 2001:db8:0:ae6::/64 | 2001:db8:0:ae6:ffff:ffff:ffff:ffff |
| 232 | 2001:db8:0:ae7::/64 | 2001:db8:0:ae7:ffff:ffff:ffff:ffff |
| 233 | 2001:db8:0:ae8::/64 | 2001:db8:0:ae8:ffff:ffff:ffff:ffff |
| 234 | 2001:db8:0:ae9::/64 | 2001:db8:0:ae9:ffff:ffff:ffff:ffff |
| 235 | 2001:db8:0:aea::/64 | 2001:db8:0:aea:ffff:ffff:ffff:ffff |
| 236 | 2001:db8:0:aeb::/64 | 2001:db8:0:aeb:ffff:ffff:ffff:ffff |
| 237 | 2001:db8:0:aec::/64 | 2001:db8:0:aec:ffff:ffff:ffff:ffff |
| 238 | 2001:db8:0:aed::/64 | 2001:db8:0:aed:ffff:ffff:ffff:ffff |
| 239 | 2001:db8:0:aee::/64 | 2001:db8:0:aee:ffff:ffff:ffff:ffff |
| 240 | 2001:db8:0:aef::/64 | 2001:db8:0:aef:ffff:ffff:ffff:ffff |
| 241 | 2001:db8:0:af0::/64 | 2001:db8:0:af0:ffff:ffff:ffff:ffff |
| 242 | 2001:db8:0:af1::/64 | 2001:db8:0:af1:ffff:ffff:ffff:ffff |
| 243 | 2001:db8:0:af2::/64 | 2001:db8:0:af2:ffff:ffff:ffff:ffff |
| 244 | 2001:db8:0:af3::/64 | 2001:db8:0:af3:ffff:ffff:ffff:ffff |
| 245 | 2001:db8:0:af4::/64 | 2001:db8:0:af4:ffff:ffff:ffff:ffff |
| 246 | 2001:db8:0:af5::/64 | 2001:db8:0:af5:ffff:ffff:ffff:ffff |
| 247 | 2001:db8:0:af6::/64 | 2001:db8:0:af6:ffff:ffff:ffff:ffff |
| 248 | 2001:db8:0:af7::/64 | 2001:db8:0:af7:ffff:ffff:ffff:ffff |
| 249 | 2001:db8:0:af8::/64 | 2001:db8:0:af8:ffff:ffff:ffff:ffff |
| 250 | 2001:db8:0:af9::/64 | 2001:db8:0:af9:ffff:ffff:ffff:ffff |
| 251 | 2001:db8:0:afa::/64 | 2001:db8:0:afa:ffff:ffff:ffff:ffff |
| 252 | 2001:db8:0:afb::/64 | 2001:db8:0:afb:ffff:ffff:ffff:ffff |
| 253 | 2001:db8:0:afc::/64 | 2001:db8:0:afc:ffff:ffff:ffff:ffff |
| 254 | 2001:db8:0:afd::/64 | 2001:db8:0:afd:ffff:ffff:ffff:ffff |
| 255 | 2001:db8:0:afe::/64 | 2001:db8:0:afe:ffff:ffff:ffff:ffff |
| 256 | 2001:db8:0:aff::/64 | 2001:db8:0:aff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |